server:
  port: 6060
  servlet:
    context-path: /

spring:
  application:
    name: run-economy
  main:
    allow-bean-definition-overriding: true #当遇到同样名字的时候，是否允许覆盖注册
  #  cloud:
  #    nacos:
  #      discovery:
  #        server-addr: 10.81.3.155:8848
  #        #指定yaml格式的配置
  #        file-extension: yaml
  #        cluster-name: master
  #      username: nacos
  #      password: nacos
  #redis集群
  redis:
    host: 10.220.1.5
    port: 6389
    timeout: 100000
    password: GYeeNXF#@!
    application:
      name: test
    jedis:
      pool:
        max-active: 8
        min-idle: 0
        max-idle: 8
        max-wait: -1
    database: 9
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://10.220.1.5:15432/smartwindpower
    username: smartuser
    password: smart123!@#
    oracle-schema=:
    druid:
      max-active: 10
      initial-size: 1
      min-idle: 1
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 200MB
      # 最大请求大小
      max-request-size: 215MB
  jackson:
    time-zone: GMT+8

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    default-enum-type-handler: org.apache.ibatis.type.EnumOrdinalTypeHandler
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  global-config:
    # 逻辑删除配置
    db-config:
      #id-type: auto
      # 删除前
      logic-not-delete-value: 1
      # 删除后
      logic-delete-value: 0
      #table-prefix: t_
      id-type: assign_uuid
  #配置类型别名对应的包
  type-aliases-package: com.gyee.runeconomy.model.auto,com.gyee.jinneng_kpi.model.auto
  #用于扫描通用枚举包
  type-enums-package: com.gyee.runeconomy.config
logging:
  level:
    root: info
    com.example: debug
initialcode: INITIAL
db:
  url1: http://10.220.1.8:8011/ts
  url2: http://10.220.1.8:8011/ts

appendSation:
  appendSationMap: '{"NX_FGS_HA_FDC_STA":"惠安风电" }'


powerCurveFitting:
  prepare: data\prepare\
  process: data\process\
  fitting: data\fitting\
  # 功率曲线离线数据保存路径
  file-path-power: data/power/

#devtools:
#  restart:
#    enabled: true # 是否启用热重启功能，默认为true
#  livereload:
#    enabled: false # 是否启用livereload功能，默认为true
#    port: 35729 # livereload服务器监听的端口，默认为35729


